services:
  nest-api:
    build:
      context: .
      dockerfile: Dockerfile
      target: production
    container_name: consultoria_api
    ports:
      - '3000:3000'
    extra_hosts:
      - "host.docker.internal:172.17.0.1"
    networks:
      - consultoria_net
    restart: unless-stopped
    env_file:
      - .env
    volumes:
      # Volumen persistente para documentos confidenciales
      # Los archivos en el host se mapean al contenedor
      - ./uploads:/app/uploads
      # Si necesitas logs persistentes
      # - ./logs:/app/logs

networks:
  consultoria_net:
    driver: bridge
    ipam:
      config:
        - subnet: 172.28.0.0/24
